Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class PoolQuery

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.PoolQuery

Deprecated

    @Deprecated
    public class PoolQuery

extends Object

Field Summary
`static String` | `cName` Deprecated

Constructor Summary
`PoolQuery()` Deprecated

Method Summary
`ItemObject` | `getNextReplyQualifier(int setNumber)` Deprecated Select one item from the qualifier set for this setNumber.
`List` | `getNextReplyQualifier(List qualifiers, int setNumber, int count)` Deprecated Return null if the count is zero or no more qualifiers exist in the particular set.
`ItemObject` | `getNextReplyTarget(int setNumber)` Deprecated Select one item from the qualifier set for this setNumber.
`List` | `getNextReplyTarget(List targets, int setNumber, int count)` Deprecated Return null if the count is zero or no more targets exist in the particular set.
`List` | `getReplyQualifierSets()` Deprecated
`List` | `getReplyTargetSets()` Deprecated
`List` | `getRequestQualifiers()` Deprecated
`List` | `getRequestTargets()` Deprecated
`boolean` | `isSatisfied()` Deprecated
`void` | `set(List requestQualifiers, List requestTargets)` Deprecated
`void` | `setIsSatisfied(boolean value)` Deprecated
`protected void` | `setReplyQualifiers(List replyQualifierSets, Set allQualifiers)` Deprecated
`protected void` | `setReplyTargets(List replyTargetSets, Set allTargets)` Deprecated
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### PoolQuery

    public PoolQuery()

  Deprecated

Method Detail

### set

    public void set(List requestQualifiers,
                    List requestTargets)

  Deprecated

### setReplyQualifiers

    protected void setReplyQualifiers(List replyQualifierSets,
                                      Set allQualifiers)

  Deprecated

### setReplyTargets

    protected void setReplyTargets(List replyTargetSets,
                                   Set allTargets)

  Deprecated

### getRequestQualifiers

    public List getRequestQualifiers()

  Deprecated
  Returns
    List of QuerySpec objects

### getRequestTargets

    public List getRequestTargets()

  Deprecated
  Returns
    List of QuerySpec objects

### getReplyQualifierSets

    public List getReplyQualifierSets()

  Deprecated

### getReplyTargetSets

    public List getReplyTargetSets()

  Deprecated

### isSatisfied

    public boolean isSatisfied()

  Deprecated

### setIsSatisfied

    public void setIsSatisfied(boolean value)

  Deprecated

### getNextReplyQualifier

    public ItemObject getNextReplyQualifier(int setNumber)

  Deprecated
  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyTarget

    public ItemObject getNextReplyTarget(int setNumber)

  Deprecated
  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyQualifier

    public List getNextReplyQualifier(List qualifiers,
                                      int setNumber,
                                      int count)

  Deprecated
  Return null if the count is zero or no more qualifiers exist in the particular set. Otherwise populate the list passed in with up to count objects.

### getNextReplyTarget

    public List getNextReplyTarget(List targets,
                                   int setNumber,
                                   int count)

  Deprecated
  Return null if the count is zero or no more targets exist in the particular set. Otherwise populate the list passed in with up to count objects.

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.